# Source code for azure.graphrbac.models.service_principal

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ServicePrincipal(Model):
        """Active Directory service principal information.

        :param object_id: object Id
        :type object_id: str
        :param object_type: object type
        :type object_type: str
        :param display_name: service principal display name
        :type display_name: str
        :param app_id: app id
        :type app_id: str
        :param service_principal_names: the list of names.
        :type service_principal_names: list of str
        """

        _attribute_map = {
            'object_id': {'key': 'objectId', 'type': 'str'},
            'object_type': {'key': 'objectType', 'type': 'str'},
            'display_name': {'key': 'displayName', 'type': 'str'},
            'app_id': {'key': 'appId', 'type': 'str'},
            'service_principal_names': {'key': 'servicePrincipalNames', 'type': '[str]'},
        }

        def __init__(self, object_id=None, object_type=None, display_name=None, app_id=None, service_principal_names=None):
            self.object_id = object_id
            self.object_type = object_type
            self.display_name = display_name
            self.app_id = app_id
            self.service_principal_names = service_principal_names